import java.util.Scanner;
public class Examen01repo
{
  public static void main(String args[])
  {
    Scanner teclado= new Scanner(System.in);
    
    System.out.println("LED number display");
    
    
    for(int cont=1; cont!=0; )
    {
      System.out.println("Numero a mostrar: (0==salir)");
      teclado.skip("[\n\rt ]*");
      String numero = teclado.nextLine();
      if(numero.equals("0"))
        --cont;
      else
      {
        System.out.println("Factor de aumento: ");
        int aumento = teclado.nextInt();
        
        for (int i=0; i<numero.length(); ++i)
          
          if (numero.charAt(i) == '0')
        {
          for(int f1=1; f1<=(5*aumento); ++ f1)
          {
            for (int c1=1; c1<=(3*aumento); ++c1)
            {
              if( f1==2 && c1==2 || f1==3 && c1==2 || f1==4 && c1==2)
                System.out.print(" ");
              else
                System.out.print("#");
            }
            System.out.println();
          }
          System.out.println();
        }
        
          else if (numero.charAt(i) == '1')
        {
          for(int c1=1; c1<=(5*aumento); ++c1)
          {
            for(int f1=1; f1<=(1*aumento); ++f1)
            {
              System.out.print("#");
            }
            System.out.println();
          }
          System.out.println();
        }
        
        
        else if (numero.charAt(i) == '2')
        {
          for(int f1=1; f1<=(5*aumento); ++f1)
          {
            for(int c1=1; c1<=(3*aumento); ++c1)
            {
              if( f1==2 && c1==1 || f1==2 && c1==2 || f1==4 && c1==2 || f1==4 && c1==3)
                System.out.print(" ");
              else
                System.out.print("#");
            }
            System.out.println();
          }
          System.out.println();
        }
        
        else if (numero.charAt(i) == '3') 
        {
          for(int f1=1; f1<=(5*aumento); ++ f1)
          {
            for (int c1=1; c1<=(3*aumento); ++c1)
            {
              if( f1==2 && c1==1 || f1==2 && c1==2 || f1==4 && c1==2 || f1==4 && c1==1)
                System.out.print(" ");
              else
                System.out.print("#");
            }
            System.out.println();
          }
          System.out.println();
        }
        
        else if (numero.charAt(i) == '4')
          {
          for(int f1=1; f1<=(5*aumento); ++f1)
          {
            for(int c1=1; c1<=(3*aumento); ++c1)
            {
              if( f1==1 && c1==2 || f1==2 && c1==2 || f1==4 && c1==1 || f1==4 && c1==2 || f1==5 && c1==1 || f1==5 && c1==2)
                System.out.print(" ");
              else
                System.out.print("#");
            }
            System.out.println();
          }
          System.out.println();
        }
          
        else if (numero.charAt(i) == '5')
          {
          for(int f1=1; f1<=(5*aumento); ++f1)
          {
            for(int c1=1; c1<=(3*aumento); ++c1)
            {
              if( f1==2 && c1==3 || f1==2 && c1==2 || f1==4 && c1==2 || f1==4 && c1==1)
                System.out.print(" ");
              else
                System.out.print("#");
            }
            System.out.println();
          }
          System.out.println();
        }
        
        else if (numero.charAt(i) == '6')
          {
          for(int f1=1; f1<=(5*aumento); ++f1)
          {
            for(int c1=1; c1<=(3*aumento); ++c1)
            {
              if( f1==2 && c1==3 || f1==2 && c1==2 || f1==4 && c1==2)
                System.out.print(" ");
              else
                System.out.print("#");
            }
            System.out.println();
          }
          System.out.println();
        }
        
        else if (numero.charAt(i) == '7')
          {
          for(int f1=1; f1<=(5*aumento); ++f1)
          {
            for(int c1=1; c1<=(3*aumento); ++c1)
            {
              if( f1==2 && c1==1 || f1==2 && c1==2 || f1==3 && c1==2 || f1==3 && c1==1 || f1==4 && c1==1 || f1==4 && c1==2|| f1==5 && c1==1 || f1==5 && c1==2)
                System.out.print(" ");
              else
                System.out.print("#");
            }
            System.out.println();
          }
          System.out.println();
        }
        
        else if (numero.charAt(i) == '8')
          {
          for(int f1=1; f1<=(5*aumento); ++f1)
          {
            for(int c1=1; c1<=(3*aumento); ++c1)
            {
              if(f1==2 && c1==2 || f1==4 && c1==2)
                System.out.print(" ");
              else
                System.out.print("#");
            }
            System.out.println();
          }
          System.out.println();
        }
        
        else if (numero.charAt(i) == '9')
          {
          for(int f1=1; f1<=(5*aumento); ++f1)
          {
            for(int c1=1; c1<=(3*aumento); ++c1)
            {
              if(f1==2 && c1==2 || f1==4 && c1==2 || f1==4 && c1==1)
                System.out.print(" ");
              else
                System.out.print("#");
            }
            System.out.println();
          }
          System.out.println();
        }
          
        
        
        
        
        
        
        
        
        
        
        
        
        
      }
    }
  }
}




